Package org.apache.commons.math3.ml.neuralnet.sofm

# Class KohonenTrainingTask

java.lang.Object
org.apache.commons.math3.ml.neuralnet.sofm.KohonenTrainingTask

All Implemented Interfaces:
  `Runnable`

public class KohonenTrainingTask extends Object implements Runnable
Trainer for Kohonen's Self-Organizing Map.

Since:
  3.3

## Constructor Summary

Constructors
Constructor
Description
`KohonenTrainingTask(Network net, Iterator<double[]> featuresIterator, KohonenUpdateAction updateAction)`
Creates a (sequential) trainer for the given network.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KohonenTrainingTask

public KohonenTrainingTask(Network net, Iterator<double[]> featuresIterator, KohonenUpdateAction updateAction)
Creates a (sequential) trainer for the given network.

Parameters:
  `net` - Network to be trained with the SOFM algorithm.
  `featuresIterator` - Training data iterator.
  `updateAction` - SOFM update procedure.

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`